Subject: [quicwg/base-drafts] remove misleading sentence about incompatible QUIC versions and ALPN (#2802)

From: Marten Seemann <[email-masked]>
Date: Tue, 18 Jun 2019 06:08:00 -0700

The server doesn't pick a version. The server only picks the application protocol from what the client offered, and it might do that based on the QUIC version that the client picked.
You can view, comment on, or merge this pull request online at:

  https://github.com/quicwg/base-drafts/pull/2802

-- Commit Summary --

  * remove misleading sentence about incompatible QUIC versions and ALPN

-- File Changes --

    M draft-ietf-quic-tls.md (3)

-- Patch Links --

https://github.com/quicwg/base-drafts/pull/2802.patch
https://github.com/quicwg/base-drafts/pull/2802.diff

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/2802

---

From: ianswett <[email-masked]>
Date: Tue, 18 Jun 2019 14:49:12 -0700

ianswett approved this pull request.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/2802#pullrequestreview-251380901

---

From: MikkelFJ <[email-masked]>
Date: Tue, 18 Jun 2019 23:06:27 -0700

mikkelfj commented on this pull request.

> @@ -1279,8 +1279,7 @@ An application-layer protocol MAY restrict the QUIC versions that it can operate
 over.  Servers MUST select an application protocol compatible with the QUIC

Plural singular mix: Servers vs a client

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/2802#pullrequestreview-251489113

---

From: Marten Seemann <[email-masked]>
Date: Tue, 18 Jun 2019 23:17:40 -0700

marten-seemann commented on this pull request.

Not part of this PR.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/2802#discussion_r295135766

---

From: Martin Thomson <[email-masked]>
Date: Fri, 21 Jun 2019 09:59:32 -0700

martinthomson requested changes on this pull request.

This text still serves a purpose because the server does pick ALPN.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/2802#pullrequestreview-252931218

---

From: Marten Seemann <[email-masked]>
Date: Sun, 23 Jun 2019 07:02:16 -0700

@martinthomson That depends on how you read RFC 7301, doesn't it?

Section 3.1 says:
> Servers that receive a ClientHello containing the "application_layer_protocol_negotiation" extension MAY return a suitable protocol selection response to the client.

I interpret "suitable" as "one of the options that the client proposed", but unfortunately that RFC is not very specific.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/2802#issuecomment-504755177

---

From: Martin Thomson <[email-masked]>
Date: Tue, 25 Jun 2019 15:32:27 -0700

That is confusing, but it doesn't mean that the server doesn't pick an ALPN.  We do require that it select an ALPN value, and even if it picks one that the client doesn't offer (whether legitimate or not), that doesn't invalidate this text.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/2802#issuecomment-505647283